%{?nodejs_find_provides_and_requires}

# npm(chai) not available on EL6
%if 0%{?fedora} >= 19
%global enable_tests 1
%else
%global enable_tests 0
%endif

Name:           nodejs-utils-merge
Version:        1.0.0
Release:        3%{?dist}
Summary:        Node.js module to merge properties between objects

License:        MIT
URL:            https://github.com/jaredhanson/utils-merge
Source0:        http://registry.npmjs.org/utils-merge/-/utils-merge-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        utils-merge-tests-v%{version}.tar.bz2
Source10:       utils-merge-dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
%endif

%description
Merges the properties from a source object into a destination object.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/utils-merge
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/utils-merge
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require test/bootstrap/node test/*.test.js
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/utils-merge


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 17 2013 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
